FROM nginx:latest

COPY ./nginx/nginx-template.conf /etc/nginx/nginx.template
COPY ./nginx/cert /etc/nginx/cert

EXPOSE 80

CMD /bin/bash -c "envsubst < /etc/nginx/nginx.template > /etc/nginx/nginx.conf && exec nginx -g 'daemon off;'"
